package com.ruoyi.project.training.elearn.mapper;

import java.util.List;
import com.ruoyi.framework.aspectj.lang.annotation.DataScope;
import com.ruoyi.project.training.elearn.domain.TElExamRepo;

/**
 * 考试题库关联Mapper接口
 *
 * @author ssy
 * @date 2024-05-29
 */
public interface TElExamRepoMapper
{
    /**
     * 查询考试题库关联
     *
     * @param id 考试题库关联ID
     * @return 考试题库关联
     */
    public TElExamRepo selectTElExamRepoById(Long id);

    /**
     * 查询考试题库关联列表
     *
     * @param tElExamRepo 考试题库关联
     * @return 考试题库关联集合
     */
    public List<TElExamRepo> selectTElExamRepoList(TElExamRepo tElExamRepo);

    /**
     * 新增考试题库关联
     *
     * @param tElExamRepo 考试题库关联
     * @return 结果
     */
    public int insertTElExamRepo(TElExamRepo tElExamRepo);

    /**
     * 修改考试题库关联
     *
     * @param tElExamRepo 考试题库关联
     * @return 结果
     */
    public int updateTElExamRepo(TElExamRepo tElExamRepo);

    /**
     * 删除考试题库关联
     *
     * @param id 考试题库关联ID
     * @return 结果
     */
    public int deleteTElExamRepoById(Long id);

    /**
     * 批量删除考试题库关联
     *
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteTElExamRepoByIds(Long[] ids);

    void deleteTElExamRepoByExamId(Long examId);
}
